---
title: "Start the given workflow"
slug: "start-the-given-workflow"
updated: 2026-04-04T02:22:39Z
published: 2026-04-04T02:22:47Z
canonical: "support.fortanix.com/start-the-given-workflow"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start the given workflow

Post/v1/workflow_runs

SecurityAPI Key: bearerTokenHeader parameter nameAuthentication

A JWT bearer token to be passed once authenticated.

Body parameters<select class='api-response-data' aria-label='Media type'><option value='7bca2b33-d9ab-43a0-8c7d-de7944d27436'>application/json</option>
</select>Expand Allobject  graph_idstring  (uuid)    Required

UUID of a graph.

graph_versionstring    Required

Version of a graph.

deploymentobject (WorkflowDeployment)  

Deployment info for a workflow. Exactly one of kubernetes_single_job or aci_single_job field must be set.

kubernetes_single_jobobject (KubernetesSingleJob)  namespacestring    Required
cluster_idstring  (uuid)    Required

aci_single_jobobject (AciSingleJob)  cluster_idstring  (uuid)    Required
deployment_locationstring    

runtime_configsobject  property*object (WorkflowObjectFinalAppPatch)  additionalPropertiesdeploymentobject (WorkflowAppDeployment)  

Deployment info for an app. Exactly one of kubernetes or aci field must be set.

kubernetesobject (WorkflowAppKubernetes)  job_specobject  Required

aciobject (WorkflowAppAci)  exposed_ports Array of object (DockerNetworkPort)   Required

List of ports exposed for the azure container instance.

object  

A port exposed by a docker container.

portinteger    Required

A valid, specific port number from 1..65535 (inclusive).

protocolstring    Required

Protocol Associated with a Port exposed by a docker container.

Valid values[
  "Tcp",
  "Udp"
]

env_varsobject  Requiredproperty*string    additionalProperties

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='90513c5c-f05a-4926-9ddb-7de33efaa085'>application/json</option>
</select>Expand Allobject  runobject (WorkflowRun)  run_idstring  (uuid)    

Run ID of running workflow

run_statusstring    Valid values[
  "PENDING",
  "RUNNING",
  "FAILED",
  "SUCCEEDED",
  "TERMINATING",
  "TERMINATED",
  "UNKNOWN"
]
created_atinteger  (int64)    

Time workflow was started.

graph_idstring  (uuid)    
graph_versionstring    

The current version of the running graph, not necessarily the same version that was started originally.

group_idstring  (uuid)    
deploymentobject (WorkflowDeployment)  

Deployment info for a workflow. Exactly one of kubernetes_single_job or aci_single_job field must be set.

kubernetes_single_jobobject (KubernetesSingleJob)  namespacestring    
cluster_idstring  (uuid)    

aci_single_jobobject (AciSingleJob)  cluster_idstring  (uuid)    
deployment_locationstring    

workflow_cluster_dataobject (WorkflowRunData)  AciSingleJobobject (AciWorkflowRunData)  app_idstring  (uuid)    
build_idstring  (uuid)    
config_idstring    
cluster_idstring  (uuid)    
container_group_namestring    
deployment_namestring    

KubernetesSingleJobobject (KubernetesWorkflowRunData)  app_idstring  (uuid)    
build_idstring  (uuid)    
config_idstring    
cluster_idstring  (uuid)    

genericobject (WorkflowRunRawResponse)  kubernetes
aci
